package cz.moneta.test.dsl.ufo.cb.landing;

import cz.moneta.test.harness.support.web.*;

@Wait(value = DMS424_S001_UploadFile.SAVE_BUTTON, until = Until.VISIBLE)
public interface DMS424_S001_UploadFile extends WebFlow<DMS424_S001_UploadFile> {

    String SAVE_BUTTON = "DMS424_S001_B009";
    String BACK_BUTTON = "//tr//button[@title='Zpět bez uložení']";
    String FILE_UPLOAD = "//input[contains(@class,'FileUpload')]";
    String NAME_INPUT = "DMS424_S001_E002";

    @Click(value = SAVE_BUTTON)
    DMS401_S002_DocumentsPage clickSaveButton();

    @FileUpload(value = FILE_UPLOAD, by = Lookup.XPATH)
    DMS424_S001_UploadFile uploadDocument(String docPath);

    @TypeInto(value = NAME_INPUT)
    DMS424_S001_UploadFile typeDocumentName(String name);

}
